import React from 'react';
import Carousel from './components/Carousel';
import halloweenImg from './assets/Halloween.jpg'
import footballImg from './assets/christmas.jpg'
import collegeImg from './assets/college.webp'
import MyCarousel from './components/MyCarousel';
import Product from './components/Product';
import { Grid, ThemeProvider, Typography } from '@mui/material';


import cheerleader from './assets/manlig-hejarklacksledare.jpg';
import yellowSuit from './assets/suitmeister-gul-kostym.jpg';
import glitterHatt from './assets/glitterhatt-guld.jpg';
import bananaCostume from './assets/banan-maskeraddrakt.jpg'
import grandma from './assets/grandma-maskeraddrakt.jpg'
import cow from './assets/kossa-budget.jpg'
import cheerleaderRed from './assets/manlig-hejarklacksledare-rod.jpg'
import nun from './assets/manlig-nunna.jpg'
import sjuksköterska from './assets/manlig-sjukskoterska.jpg'
import tennisProf from './assets/tennisproffs-maskeraddrakt.jpg'
import theme from './styles/theme.js'
const themeCategoryImg = [
  {
    name: 'Halloween',
    source: halloweenImg,
  },
  {
    name: 'Football',
    source: footballImg, 
  },
  {
    name: 'College',
    source: collegeImg,
  }
]


const Home = () => {
  const products = [
    { id: 1, imageUrl: cheerleader, price: 29.99 },
    { id: 2, imageUrl: yellowSuit, price: 39.99 },
    { id: 3, imageUrl: glitterHatt, price: 49.99 },
    { id: 4, imageUrl: bananaCostume, price: 29.99 },
    { id: 5, imageUrl: grandma, price: 39.99 },
    { id: 6, imageUrl: cow, price: 49.99 },
    { id: 7, imageUrl: cheerleaderRed, price: 49.99 },
    { id: 8, imageUrl: nun, price: 29.99 },
    { id: 9, imageUrl: sjuksköterska, price: 39.99 },
    { id: 10, imageUrl: tennisProf, price: 49.99 },
    // Add more products as needed
  ];

  return (
    <ThemeProvider theme={theme}>

    <div>
      <Carousel showingItems={1} items={themeCategoryImg}/>
      {/* <MyCarousel /> */}
      <div style={{ padding: 16 }}>
        <Typography 
          variant='h3'
          color='primary'
          >
          All products
        </Typography>
        <Grid container spacing={3}>
          {products.map((product) => (
            <Grid key={product.id} item xs={12} sm={6} md={4} lg={3}>
              <Product imageUrl={product.imageUrl} price={product.price} />
            </Grid>
          ))}
        </Grid>
      </div>
    </div>
    </ThemeProvider>
  );
};

export default Home;
