import React from 'react';
import yellowSuit from './assets/suitmeister-gul-kostym.jpg';
import nun from './assets/manlig-nunna.jpg';
import sjuksköterska from './assets/manlig-sjukskoterska.jpg';
import './ProfilePage.css'; // Import the CSS file

const user = [
  { name: 'GÖRAN', email: 'pengarfinns@inte.nu', age: '48', profilePicture: yellowSuit }
];

const products = [
  { name: 'Nunna', picture: nun, price: '29.99' },
  { name: 'Sjuksköterska', picture: sjuksköterska, price: '39.99' },
  { name: 'Nunna', picture: nun, price: '29.99' },
  { name: 'Sjuksköterska', picture: sjuksköterska, price: '39.99' },
  { name: 'Nunna', picture: nun, price: '29.99' },
  { name: 'Sjuksköterska', picture: sjuksköterska, price: '39.99' },
];

const ProfilePage = () => {
  // Accessing the first element of the user array
  const currentUser = user[0];

  return (
    <div className="container">
      <div className="header">
        <h1 className="headerText">Welcome, {currentUser.name}!</h1>
      </div>
      <div className="profile">
        <img src={currentUser.profilePicture} alt="Profile" className="profilePicture" />
        <div className="profileInfo">
          <h2>User Information:</h2>
          <p>Name: {currentUser.name}</p>
          <p>Email: {currentUser.email}</p>
          <p>Age: {currentUser.age}</p>
          {/* Add more user information fields as needed */}
        </div>
      </div>
      <div>
        <h2>Currently Listed Products:</h2>
        <ul className="productList">
          {products.map((product, index) => (
            <li key={index} className="productItem" style={{ animationDelay: `${index * 0.4}s` }}>
              <img src={product.picture} alt={product.name} className="productImage"/>
              <div className="productInfo">
                <h3 className="productName">{product.name}</h3>
                <p className="productPrice">Price: ${product.price}</p>
              </div>
            </li>
          ))}
        </ul>
      </div>
    </div>
  );
};

export default ProfilePage;
